Bug 498151 - avr-libc doesn't support latest Arudino Duemilanove
avr-libc doesn't support latest Arudino Duemilanove
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: avr-libc (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Thibault North
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 01:47 EDT by masanari iida
Modified: 2009-07-14 12:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:38:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description masanari iida 2009-04-29 01:47:08 EDT
Description of problem:
Current avr-libc doesn't support latest Arduino Duemilanove.
crtm328p.o is missing.

Version-Release number of selected component (if applicable):
1.4.6-4

How reproducible:
Always

Steps to Reproduce:
1. Install following RPMs.

    * uisp-20050207-2.fc9
    * avr-binutils-2.18-2.fc9
    * avr-gcc-4.3,3-1.fc9
    * avr-gcc-c++-4.3.3-1.fc9
    * avr-libc-1.4.6-4.fc9
    * JRE

2. Install Arduino IDE from  http://arduino.cc

3. Select board type as "Arduino Duemlanove /ATmega328"

4. Compile sample program.

Actual results:
/usr/lib/gcc/avr/4.3.3/../../../../avr/bin/ld: crtm328p.o: No such file: No such file or directory

Couldn't determine program size: avr-size: '/tmp/build8897706363352373278.tmp/Blink.hex': No such file

Expected results:
The sample program compile finish without errors.


Additional info:
avr-libc-1.4.6-4 is outdated.
This library doesn't support latest CPU such as ATmega328.
So that's why the compile failed.

As I generate avr-libc-1.6.6 RPM by myself using 1.4.6 spec file,
the file "crtm328p.o" is exist, and the sample program compile
finish without errors.

RH BZ#481234 also requested to update the avr-libc.
This need to be done anytime soon.
Comment 1 Bug Zapper 2009-06-09 23:41:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 12:38:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.